Skip to main content
GET
/
api
/
research
/
albums
/
{id}
/
measurements
Album measurements
curl --request GET \
  --url https://api.recoupable.com/api/research/albums/{id}/measurements
{
  "status": "success",
  "id": "70Zkfb99ladZ3q0JVg97co",
  "platform": "spotify",
  "metric": "platform_displayed_play_count",
  "measurements": [
    {
      "isrc": "USQY51771120",
      "spotify_track_id": "<string>",
      "name": "<string>",
      "value": 297289495,
      "captured_at": "2023-11-07T05:31:56Z",
      "data_source": "apify_spotify_playcount"
    }
  ]
}

Path Parameters

id
string
required

Spotify album id.

Query Parameters

platform
string
default:spotify

Platform to read. Currently spotify.

metric
string
default:platform_displayed_play_count

Metric to read.

latest
boolean
default:true

Return the latest capture per track (the only supported mode today).

Response

Latest per-track measured counts for the album.

status
string
Example:

"success"

id
string

Spotify album id.

Example:

"70Zkfb99ladZ3q0JVg97co"

platform
string
Example:

"spotify"

metric
string
Example:

"platform_displayed_play_count"

measurements
object[]